Selected board depends on 'arduino' core (not installed).

Hi dears :) , i want to programing an Attiny45 with my Arduino UNO but show me this message "Selected board depends on 'arduino' core (not installed)." what mean it? :sob:

I would guess: Some code in your sketch will not run on the Attiny45.

Install a core that supports the tiny, and use that, or find someone who knows how to fix that error message in 1.6.-whatever-you're-using, if it can be fixed at all without installing a custom core. I'm not very impressed with 1.6.x versions.

The solution is here:

https://arduino.stackexchange.com/q/61280/53509